export default{
	data : function(){
		return {
			Home: '',
			Teams: '',
			Results: '',
			id:'',
			name:'',
			description:'',
			clicked: false
		}
	},
	methods: {
		myfun: function() {
			this.clicked=!this.clicked;
		},
		addTeam: function() {
			let team = new Team(this.id, this.name, this.description);
			console.log(team);
			this.id='';
			this.name='';
			this.description='';
		}
	},
	template: 
		`
			<div>
				<span>Home</span>
				<span @click="myfun" style="cursor: pointer">Teams</span>
				<span>Results</span>
			</div>
			<form @submit.prevent v-if="clicked">
			<br>
			<div>
				<label>id</label><br/>
				<input type="number" v-model="id"/>
			</div>
			
			<div>
				<label>Name</label><br/>
				<input type="text" v-model="name"/>
			</div>

			<div>
				<label>Description</label><br/>
				<textarea v-model="description"></textarea>
			</div>

			<input type="submit" value="Submit" v-on:click="addTeam"/>
			</form>
		`
}